package br.gov.serpro.cte.email.compor;

import org.junit.Test;

import br.gov.serpro.cte.common.ExpressoMailTestCase;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Nov 16, 2010 at 3:28:37 PM
 * 
 */
public class EnviarEmailAnexoTestCase extends ExpressoMailTestCase {
	private boolean apagarEmail;

	/**
	 * 
	 */
	public EnviarEmailAnexoTestCase() {
		this.apagarEmail = true;
	}

	/**
	 * @param apagarEmail
	 */
	public EnviarEmailAnexoTestCase(boolean apagarEmail) {
		this.apagarEmail = apagarEmail;
	}

	@Test
	public void testa() throws Exception {
		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
				Valor.ASSUNTO_ANEXO.getValue(),
				Valor.TEXTO_EMAIL_ANEXO.getValue());
		selenium.click(Campo.ADICIONAR_ANEXO.getValue());
		selenium.type(Campo.ANEXO_1.getValue(), Valor.ANEXO_1.getValue());
		super.sendEmail();
		super.assertMessage(Campo.MENSAGEM.getValue(),
				Mensagem.EMAIL_ENVIADO.getValue());

		if (this.apagarEmail) {
			// Remove email da Caixa de Entrada, itens enviados e lixeira.
			super.removeEmail(Valor.ASSUNTO_ANEXO.getValue());
		}
	}
}
